<?php
$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';

session_start();

//$nivel_necessario = 3;
$nivel_necessario = 4;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
	// Destrói a sessão por segurança
	session_destroy();
	// Redireciona o visitante de volta pro login
	header("Location: index.php");
	exit;
}
require_once("db.php");

if (!empty($_GET['id'])) {

	$idmetrica = $_GET['id'];
	
	// Consulta Metrica
	$resultMetrica = mysql_query("SELECT idprod,metricas.id, acerto, saldo_total, comissao_locacao,comissao_ponto, comissao_dono,dataorder,entrada,saida,entrada_anterior,saida_anterior 
									FROM metricas 
									WHERE metricas.id = '$idmetrica' 
									ORDER BY metricas.id DESC");
    $rowMetrica = mysql_fetch_array($resultMetrica);    
       
    $total_entrada = $rowMetrica['entrada'] - $rowMetrica['entrada_anterior'];
    $total_saida = $rowMetrica['saida'] - $rowMetrica['saida_anterior'];
    $total_saldo = $total_entrada - $total_saida;  
   
    ?>
	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
		<h4 class="modal-title" id="myModalLabel">Detalhamento da Leitura</h4>
	</div>								
	<div class="modal-body"> 
		<div class="row">
			<div class="col-lg-12">
				<div class="row">	
				<?php
				
				//Retorno das informações do tablet
				echo "<div class='col-lg-6'><div class='panel panel-info'>";
				echo "<div class='panel-heading'>" . $rowMetrica['idprod'] . "</div>";
				echo "<div class='panel-body'>";

				echo "<div class='table-responsive'><table class='table table-striped table-bordered table-hover'><tbody>";
				echo "<tr class='gradeA'><td>Entrada Atual</td><td>$" . $rowMetrica['entrada'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Saida Atual</td><td>$" . $rowMetrica['saida'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Entrada Anterior</td><td>$" .$rowMetrica['entrada_anterior'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Saida Anterior</td><td>$" . $rowMetrica['saida_anterior'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total de Entrada</td><td>$" . $total_entrada . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total de Saida</td><td>$" . $total_saida . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total de Saldo</td><td>$" . $total_saldo . ",00</td></tr>";
				echo "</tbody></table></div>";
				echo "</div></div></div>";


				//Retorno das informações gerais
				echo "<div class='col-lg-6'><div class='panel panel-success'>";
				echo "<div class='panel-heading'>Total Geral</div>";
				echo "<div class='panel-body'>";
				echo "<div class='table-responsive'><table class='table table-striped table-bordered table-hover'><tbody>";
				echo "<tr class='gradeA'><td>Total de Saldo</td><td>$" . $rowMetrica['saldo_total'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total de Acerto</td><td>$" . $rowMetrica['acerto'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total Comissão Locação</td><td>$" . $rowMetrica['comissao_locacao'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total Comissão Dono</td><td>$" . $rowMetrica['comissao_dono'] . ",00</td></tr>";
				echo "<tr class='gradeA'><td>Total Comissão Ponto</td><td>$" . $rowMetrica['comissao_ponto'] . ",00</td></tr>";
				echo "</tbody></table></div>";
				echo "</div></div>";
				echo "</div><br>";
				?>
				</div>	
			</div>	
		</div>	
	</div>	
<?php
}
?>
   